package cn.com.tenlion.configcontent.pojo.dtos.contentcollect;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentCollectDTO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:15:31
 * @Version: 3.0
 **/
@ApiModel
public class ContentCollectDTO {

    @ApiModelProperty(name = "contentCollectId", value = "收藏ID")
    private String contentCollectId;
    @ApiModelProperty(name = "businessId", value = "业务ID")
    private String businessId;
    @ApiModelProperty(name = "contentCollectUserName", value = "收藏人姓名")
    private String contentCollectUserName;
    @ApiModelProperty(name = "contentCollectUserIcon", value = "收藏人头像")
    private String contentCollectUserIcon;
    @ApiModelProperty(name = "contentCollectTag", value = "收藏备注")
    private String contentCollectTag;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getContentCollectId() {
        return contentCollectId == null ? "" : contentCollectId.trim();
    }

    public void setContentCollectId(String contentCollectId) {
        this.contentCollectId = contentCollectId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentCollectUserName() {
        return contentCollectUserName == null ? "" : contentCollectUserName.trim();
    }

    public void setContentCollectUserName(String contentCollectUserName) {
        this.contentCollectUserName = contentCollectUserName;
    }

    public String getContentCollectUserIcon() {
        return contentCollectUserIcon == null ? "" : contentCollectUserIcon.trim();
    }

    public void setContentCollectUserIcon(String contentCollectUserIcon) {
        this.contentCollectUserIcon = contentCollectUserIcon;
    }

    public String getContentCollectTag() {
        return contentCollectTag == null ? "" : contentCollectTag.trim();
    }

    public void setContentCollectTag(String contentCollectTag) {
        this.contentCollectTag = contentCollectTag;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
